package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ModelFwReleaseNoteReqInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModelFwReleaseNoteReqInfo   {
  @JsonProperty("oemId")
  private String oemId;

  public ModelFwReleaseNoteReqInfo oemId(String oemId) {
    this.oemId = oemId;
    return this;
  }

  /**
   * ID, you can also get this field throw: \"Get the firmware pool list\"
   * @return oemId
  */
  @ApiModelProperty(value = "ID, you can also get this field throw: \"Get the firmware pool list\"")


  public String getOemId() {
    return oemId;
  }

  public void setOemId(String oemId) {
    this.oemId = oemId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModelFwReleaseNoteReqInfo modelFwReleaseNoteReqInfo = (ModelFwReleaseNoteReqInfo) o;
    return Objects.equals(this.oemId, modelFwReleaseNoteReqInfo.oemId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(oemId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModelFwReleaseNoteReqInfo {\n");
    
    sb.append("    oemId: ").append(toIndentedString(oemId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

